
%define	major		17
%define	libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name:		kwave
Version:    17.12.3
Release: 	%mkrel 1
Summary:	A sound editor for Plasma 5
Group:  	Graphical desktop/KDE5
License:	GPLv2+
URL:		https://www.kde.org/applications/multimedia/kwave/
Source0: 	http://download.kde.org/stable/applications/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires: lib64alsa2-devel
BuildRequires: lib64audiofile-devel
BuildRequires: lib64fftw-devel
BuildRequires: lib64flac++6-devel
BuildRequires: lib64flac8-devel
BuildRequires: lib64id3_3.8_3-devel
BuildRequires: lib64kconfig-devel 
BuildRequires: lib64kcoreaddons-devel 
BuildRequires: lib64kf5archive-devel 
BuildRequires: lib64kf5completion-devel 
BuildRequires: lib64kf5configwidgets-devel 
BuildRequires: lib64kf5crash-devel 
BuildRequires: lib64kf5dbusaddons-devel 
BuildRequires: lib64kf5i18n-devel 
BuildRequires: lib64kf5iconthemes-devel 
BuildRequires: lib64kf5service-devel 
BuildRequires: lib64kf5sonnetui-devel 
BuildRequires: lib64kf5textwidgets-devel 
BuildRequires: lib64kf5widgetsaddons-devel 
BuildRequires: lib64kf5xmlgui-devel 
BuildRequires: lib64kio-devel 
BuildRequires: lib64mad-devel 
BuildRequires: lib64ogg-devel
BuildRequires: lib64opus-devel 
BuildRequires: lib64pulseaudio-devel
BuildRequires: lib64qt5concurrent-devel 
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5gui-devel
BuildRequires: lib64qt5multimedia-devel
BuildRequires: lib64qt5widgets-devel
BuildRequires: lib64qt5xml-devel
BuildRequires: lib64samplerate-devel
BuildRequires: lib64vorbis0-devel

%description
Kwave is a sound editor designed for the Plasma 5 Desktop Environment.

With Kwave you can edit many sorts of wav-files including multi-channel
files. You are able to alter and play back each channel on its own.
Kwave also includes many plugins (most are still under development) to
transform the wave-file in several ways and presents a graphical view
with a complete zoom- and scroll capability.

%files -f %name.lang
%doc AUTHORS CHANGES README TODO LICENSES
%{_kf5_bindir}/%{name}
%{_kf5_iconsdir}/*/*/*/*
%{_kf5_applicationsdir}/org.kde.%{name}.desktop
%{_kf5_servicetypes}/%{name}-plugin.desktop
%{_kf5_datadir}/%{name}/
%{_qt5_plugindir}/%{name}/
%{_kf5_libdir}/lib%{name}*.so.%{major}*
%{_kf5_datadir}/metainfo/org.kde.kwave.appdata.xml
#--------------------------------------------------------------------

%package	handbook
Summary:	Kwave Handbook
Group:		Documentation
BuildArch:	noarch
Requires:	%{name}

%description	handbook
This package provides Kwave handbook.

%files handbook
%{_kf5_docdir}/HTML/*/%{name}/

#--------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf5 -DWITH_MP3=ON

%make_build

%install
rm -rf %buildroot
%make_install -C build
%find_lang %name --all-name


%changelog
* Mon Mar 12 2018 bb2 <bb2> - 17.12.3-1pclos2018
- new version

* Mon Feb 12 2018 bb2 <bb2> - 17.12.2-1pclos2018
- new version

* Fri Jan 12 2018 bb2 <bb2> - 17.12.1-1pclos2018
- new version

* Fri Dec 15 2017 bb2 <bb2> - 17.12.0-1pclos2017
- new version

* Thu Nov 09 2017 bb2 <bb2> - 17.08.3-1pclos2017
- new version

* Thu Oct 12 2017 bb2 <bb2> - 17.08.2-1pclos2017
- new version

* Sat Oct 07 2017 bb2 <bb2> - 17.08.1-1pclos2017
- new version

* Thu Aug 24 2017 bb2 <bb2> - 17.08.0-1pclos2017
- new version
